com.h3c.dist.groups

## Enum GroupsException.Code

- java.lang.Object
- - java.lang.Enum<GroupsException.Code>
  - - com.h3c.dist.groups.GroupsException.Code

- All Implemented Interfaces:
    Serializable, Comparable<GroupsException.Code>
  Enclosing class:
    GroupsException

      public static enum GroupsException.Code
      extends Enum<GroupsException.Code>

  codes which represent the various SyncServiceException types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GROUP_CHANGED` Node has changed
    `GROUP_CONFIG_MISMATCH` Group configuration is a mismatch
    `GROUP_EXISTS` Group already exists
    `GROUP_NOT_FOUND` Group not found
    `MEMBER_EXISITS` Member exists
    `MEMBER_NOT_FOUND` Member not found
    `SYNC_ERROR` Sync service error

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GroupsException.Code` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GroupsException.Code[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SYNC_ERROR

          public static final GroupsException.Code SYNC_ERROR

      Sync service error

    - #### GROUP_EXISTS

          public static final GroupsException.Code GROUP_EXISTS

      Group already exists

    - #### GROUP_NOT_FOUND

          public static final GroupsException.Code GROUP_NOT_FOUND

      Group not found

    - #### GROUP_CHANGED

          public static final GroupsException.Code GROUP_CHANGED

      Node has changed

    - #### GROUP_CONFIG_MISMATCH

          public static final GroupsException.Code GROUP_CONFIG_MISMATCH

      Group configuration is a mismatch

    - #### MEMBER_EXISITS

          public static final GroupsException.Code MEMBER_EXISITS

      Member exists

    - #### MEMBER_NOT_FOUND

          public static final GroupsException.Code MEMBER_NOT_FOUND

      Member not found

  - ### Method Detail

    - #### values

          public static GroupsException.Code[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GroupsException.Code c : GroupsException.Code.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GroupsException.Code valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.